Index: tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at
===================================================================
--- tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at	(revision c1a9d605954042d9c86d2369f412f1ba332fb3f8)
+++ tests/regression/Analysis/PairCorrelation-RangeTest/testsuite-analysis-pair-correlation-range-test.at	(revision c96423eec2163f37cc351c88bfd115e0a0446366)
@@ -5,15 +5,15 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --select-all-molecules --pair-correlation --elements 1 8 --output-file output-5.csv --bin-output-file bin_output-5.csv --bin-start 0 --bin-end 5], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-5.csv --bin-output-file bin_output-5.csv --bin-start 0 --bin-end 5], 0, [stdout], [stderr])
 #AT_CHECK([file=output-5.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-5.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-5.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-5.csv], 0, [ignore], [ignore])
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --select-all-molecules --pair-correlation --elements 1 8 --output-file output-10.csv --bin-output-file bin_output-10.csv --bin-start 5 --bin-end 10], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-10.csv --bin-output-file bin_output-10.csv --bin-start 5 --bin-end 10], 0, [stdout], [stderr])
 #AT_CHECK([file=output-10.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-10.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-10.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-10.csv], 0, [ignore], [ignore])
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --select-all-molecules --pair-correlation --elements 1 8 --output-file output-20.csv --bin-output-file bin_output-20.csv --bin-start 10 --bin-end 20], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output-20.csv --bin-output-file bin_output-20.csv --bin-start 10 --bin-end 20], 0, [stdout], [stderr])
 #AT_CHECK([file=output-20.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/output-20.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output-20.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation-RangeTest/post/bin_output-20.csv], 0, [ignore], [ignore])
Index: tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at
===================================================================
--- tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at	(revision c1a9d605954042d9c86d2369f412f1ba332fb3f8)
+++ tests/regression/Analysis/PairCorrelation/testsuite-analysis-pair-correlation.at	(revision c96423eec2163f37cc351c88bfd115e0a0446366)
@@ -5,8 +5,14 @@
 
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder -i test.conf  -v 3 --select-all-molecules --pair-correlation --elements 1 8 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-end 20], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i test.conf  -v 3 --set-boundary-conditions "Wrap,Wrap,Wrap" --pair-correlation --elements 1 8 --output-file output.csv --bin-output-file bin_output.csv --bin-start 0 --bin-end 20], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Begin of PairCorrelation" stdout], 0, [ignore], [ignore])
 #AT_CHECK([file=output.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation/post/output.csv], 0, [ignore], [ignore])
 AT_CHECK([file=bin_output.csv; diff $file ${abs_top_srcdir}/tests/regression/Analysis/PairCorrelation/post/bin_output.csv], 0, [ignore], [ignore])
+sum=0;
+for num in `tail -n 41 bin_output.csv | awk -F" " {'print $4'}`; do 
+	let sum=$sum+$num; 
+done; 
+# 31 oxygens on 62 hydrogens yields 1922 values
+AT_CHECK([test $sum -eq 1922], 0, [ignore], [ignore])
 
 AT_CLEANUP
